Skip to content

Check if pickup/delivery is possible to requested zip code

POST
/v1/check/zip

Request Body required

object
productId
required
string
Allowed values: home express box.delivery c2c-home return collect
deliveryZip

Zip code of the delivery, if applicable for the product.

string
pickupZip

Zip code of the pickup, if applicable for the product.

string
shippingAt

Array of date strings in RFC3339 format, when the shipment can be shipped. For products home, express, box.delivery.

Array<string>
nullable

Responses

200

Early Bird can perform pickup/delivery to requested zip code

Response to the zip code check request.

object
deliveryCovered

True, if delivery is covered by Early Bird.

boolean
pickupCovered

True, if pickup is covered by Early Bird.

boolean
deliveryBoxOptions
object
locations
Array<object>
object
id

Unique identifier for the box location.

string
address

Address of the box location.

string
zip

Zip code of the box location.

string
city

City of the box location.

string
lat

Latitude of the box location.

number
long

Longitude of the box location.

number
operationalHours
object
mon
string
tue
string
wed
string
thu
string
fri
string
sat
string
sun
string
pickupBoxOptions
object
locations
Array<object>
object
id

Unique identifier for the box location.

string
address

Address of the box location.

string
zip

Zip code of the box location.

string
city

City of the box location.

string
lat

Latitude of the box location.

number
long

Longitude of the box location.

number
operationalHours
object
mon
string
tue
string
wed
string
thu
string
fri
string
sat
string
sun
string
estimatedDeliveryDates

Array of date strings of estimated day of delivery, one date if possible, or multiple if exact date can not be determined. If applicable for the product and shippingAt is provided.

Array<string>
nullable

400

Invalid request

object
statusCode
integer
errorKey
string
nullable
errorMap
object
key
additional properties
string
errorTrackingNr
string
nullable
errorMessage
string
nullable

500

An unexpected error occurred on the server

object
statusCode
integer
errorKey
string
nullable
errorMap
object
key
additional properties
string
errorTrackingNr
string
nullable
errorMessage
string
nullable

504

Gateway timeout

object
statusCode
integer
errorKey
string
nullable
errorMap
object
key
additional properties
string
errorTrackingNr
string
nullable
errorMessage
string
nullable